body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #f3f4f6;
}

.container {
    display: flex;
    height: 100vh;
}

.register-box {
    width: 40%;
    background: #7c83fd;
    padding: 60px;
    color: #fff;
}

.register-box h2 {
    margin-bottom: 30px;
}

.register-box form {
    display: flex;
    flex-direction: column;
}

.register-box input {
    padding: 10px;
    margin-bottom: 15px;
    border: none;
    border-radius: 5px;
}

.password-rules {
    font-size: 12px;
    margin-bottom: 20px;
}

.password-rules ul {
    padding-left: 18px;
}

button {
    padding: 12px;
    border: none;
    border-radius: 20px;
    background: white;
    color: #7c83fd;
    font-weight: bold;
    cursor: pointer;
}

button:hover {
    background: #e6e6ff;
}

.error {
    background: #ff4d4d;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

.success {
    background: #28a745;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

.login-link {
    margin-top: 15px;
    font-size: 13px;
}

.welcome-box {
    width: 60%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #ffffff;
    text-align: center;
    overflow: hidden;
}
.welcome-box h1 {
    font-size: 40px;
}
.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    width: 100%;
    max-width: 100%;
    padding: 0 20px;
}

.logo-container img {
    width: 100%;
    max-width: 320px;
    height: auto;
    display: block;
    object-fit: contain;
}